Skip to content

Sessions

Each transaction is associated with a session. You can start a session manually and then use the session ID to link transactions within a unified group. Pass the session ID (in the request part’s session_id field) to the verification and face-match endpoints to associate those transactions with a session. For example, you can start a session and then link Enrollment, Liveness and Face-Verify transactions together — all transactions will be represented in the same session in the Dashboard.

Start a session

Authorization

This endpoint requires an API token as Bearer in the Authorization header. Go to Authorization guide for details.

Request

POST https://api.biometrysolutions.com/api-gateway/v2/sessions

Query Parameters

ParameterTypeDescription
warmupbooleanOptional. Set to true to pre-warm ML services in the background. See Warmup for details.

Parameters

  • No body parameters are required for this endpoint.

Headers

  • Authorization* - Your API Token.

Responses

The success envelope. data.session_id contains the new session ID.

Response sample:

{
"data": { "session_id": "sess_fe402c29-b543-4413-8624-af1a2a0b2f2c" },
"meta": { "request_id": "fc5605c5-...-87cc-979cd72564d4", "message": "session started successfully" }
}

Sample

Request
curl --location 'https://api.biometrysolutions.com/api-gateway/v2/sessions' \
--request POST \
--header 'Authorization: Bearer eyJhbGciO...ANYea8r2xOG-Urc'
Response
{
"data": { "session_id": "sess_fe402c29-b543-4413-8624-af1a2a0b2f2c" },
"meta": { "request_id": "fc5605c5-...-87cc-979cd72564d4", "message": "session started successfully" }
}

End a session

Authorization

This endpoint requires an API token as Bearer in the Authorization header. Go to Authorization guide for details.

Request

POST https://api.biometrysolutions.com/api-gateway/v2/sessions/{session_id}/end

Parameters (optional JSON body)

FieldTypeDescription
phone_numberstringOptional. Phone number for a SIM-swap fraud check via the CAMARA API.

Headers

  • Authorization* - Your API Token.

Response

{
"meta": { "message": "session ended successfully" }
}